%define module	XML-LibXML-Common
%define version 0.13
%define release %mkrel 8

Summary:	Various functions used by XML::LibXML, XML::LibXSLT
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRequires:	libxml2-devel >= 2.4.20
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot/

%description
XML::LibXML::Common contains several constants and functions that
are shared by XML::LibXML, XML::GDOME and XML::LibXSLT (not all done, yet)

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorarch}/auto/XML/LibXML/*
%{perl_vendorarch}/XML/LibXML/*
%{_mandir}/*/*



%changelog
* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.13-8mdv2009.0
+ Revision: 224635
- rebuild

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 0.13-7mdv2008.1
+ Revision: 151399
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.13-6mdv2008.0
+ Revision: 64780
- rebuild

* Fri Apr 27 2007 Pixel <pixel@mandriva.com> 0.13-5mdv2008.0
+ Revision: 18626
- rebuild
- move "make test" into %%check section


* Fri Feb 03 2006 Pixel <pixel@mandriva.com> 0.13-4mdk
- rebuild

* Mon Nov 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.13-3mdk
- rebuild for new perl

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.13-2mdk
- rebuild for new perl
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro

* Sat May 31 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.13-1mdk
- 0.13

* Thu May 22 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.12-2mdk
- rebuild for perl auto{prov,req}

